﻿# Hello, World Example
#
Import-module LCDDisplay –erroraction silentlycontinue

# Discover the #twatch’s address.

$display = Find-MCHPIPDevice

# If not found (no #twatch), exit

If ($display –eq $null) {
	Write-error “No #twatch found!”
	Exit
	}
# Otherwise, continue
Else {
	$lcd = Connect-LCD –ipaddress $display.IPAddress
	
	Enter-LCDMode –connection $lcd

    Clear-LCD –connection $lcd

    Set-LCDhome -connection $lcd

	Set-LCDPosition –connection $lcd –row 2 –column 5

	Write-LCD –connection $lcd –textstring “Hello, World!”

	# Pause for 30 seconds

    Sleep 30
	# Exit LCD mode and reenter clock (or #twatch) mode.

	Exit-LCDMode –connection $lcd

	Close-LCD –connection $lcd
	}
# Done!
exit
